
Ruby - Bug #8245

Segfault installing gems on Linux PowerPC with Ruby 2.0.0p0

04/11/2013 05:57 AM - jamesotron (James Harton)

Status: Closed   

Priority: Normal   

Assignee: linux   

Target version:    

ruby -v: ruby 2.0.0p0 (2013-02-24 revision

39474) [powerpc-linux]

Backport:  

Description

When attempting to install bundler on a freshly installed Ruby 2.0.0p0 (installed via rvm) on Ubuntu 12.10 running on a G4 PowerPC

I receive the following segfault:

[08:51][jnh@cube]~$ gem install bundler

Fetching: bundler-1.3.5.gem (100%)

Successfully installed bundler-1.3.5

Parsing documentation for bundler-1.3.5

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/core_ext/kernel_require.rb:45: [BUG] Segmentation fault

ruby 2.0.0p0 (2013-02-24 revision 39474) [powerpc-linux]

-- Control frame information -----------------------------------------------

c:0035 p:---- s:0184 e:000183 CFUNC  :require

c:0034 p:0073 s:0180 e:000179 METHOD

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/core_ext/kernel_require.rb:45

c:0033 p:0015 s:0170 e:000169 TOP    /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/irb/slex.rb:13 [FINISH]

c:0032 p:---- s:0167 e:000166 CFUNC  :require

c:0031 p:0073 s:0163 e:000162 METHOD

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/core_ext/kernel_require.rb:45

c:0030 p:0015 s:0153 e:000152 TOP    /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/ruby_lex.rb:13 [FINISH]

c:0029 p:0040 s:0151 e:000150 METHOD /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/parser/ruby.rb:164 [FINISH]

c:0028 p:---- s:0143 e:000142 CFUNC  :new

c:0027 p:0127 s:0135 e:000134 METHOD /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/parser.rb:221

c:0026 p:0175 s:0124 e:000123 METHOD /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rdoc.rb:360

c:0025 p:0016 s:0113 e:000112 BLOCK  /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rdoc.rb:417 [FINISH]

c:0024 p:---- s:0110 e:000109 CFUNC  :map

c:0023 p:0074 s:0107 e:000106 METHOD /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rdoc.rb:415

c:0022 p:0013 s:0101 e:000100 BLOCK  /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rubygems_hook.rb:181 [FINISH]

c:0021 p:---- s:0099 e:000098 CFUNC  :chdir

c:0020 p:0322 s:0095 e:000094 METHOD /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rubygems_hook.rb:180

c:0019 p:0015 s:0088 e:000087 BLOCK  /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rubygems_hook.rb:54 [FINISH]

c:0018 p:---- s:0085 e:000084 CFUNC  :each

c:0017 p:0036 s:0082 e:000081 METHOD /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rubygems_hook.rb:53 [FINISH]

c:0016 p:---- s:0074 e:000073 IFUNC

c:0015 p:---- s:0072 e:000071 CFUNC  :call

c:0014 p:0012 s:0067 e:000066 BLOCK 

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/dependency_installer.rb:382 [FINISH]

c:0013 p:---- s:0064 e:000063 CFUNC  :each

c:0012 p:0015 s:0061 e:000060 BLOCK 

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/dependency_installer.rb:381

c:0011 p:0075 s:0059 e:000058 METHOD

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/dependency_installer.rb:401

c:0010 p:0078 s:0054 e:000053 METHOD

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/dependency_installer.rb:380

c:0009 p:0105 s:0048 e:000047 BLOCK 

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/commands/install_command.rb:166 [FINISH]

c:0008 p:---- s:0041 e:000040 CFUNC  :each

c:0007 p:0174 s:0038 e:000037 METHOD

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/commands/install_command.rb:158

c:0006 p:0064 s:0032 e:000031 METHOD /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/command.rb:305

c:0005 p:0130 s:0027 e:000026 METHOD

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/command_manager.rb:170
c:0004 p:0014 s:0020 e:000019 METHOD

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/command_manager.rb:130

c:0003 p:0097 s:0013 e:000012 METHOD /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/gem_runner.rb:60

c:0002 p:0206 s:0007 E:002138 EVAL   /usr/local/rvm/rubies/ruby-2.0.0-p0/bin/gem:25 [FINISH]

c:0001 p:0000 s:0002 E:0007dc TOP    [FINISH]

/usr/local/rvm/rubies/ruby-2.0.0-p0/bin/gem:25:in <main>'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/gem_runner.rb:60:in run'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/command_manager.rb:130:in run'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/command_manager.rb:170:in process_args'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/command.rb:305:in invoke_with_build_args'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/commands/install_command.rb:158:in execute'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/commands/install_command.rb:158:in each'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/commands/install_command.rb:166:in block in execute'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/dependency_installer.rb:380:in install'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/dependency_installer.rb:401:in in_background'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/dependency_installer.rb:381:in block in install'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/dependency_installer.rb:381:in each'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/dependency_installer.rb:382:in block (2 levels) in install'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/dependency_installer.rb:382:in call'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rubygems_hook.rb:53:in generation_hook'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rubygems_hook.rb:53:in each'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rubygems_hook.rb:54:in block in generation_hook'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rubygems_hook.rb:180:in generate'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rubygems_hook.rb:180:in chdir'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rubygems_hook.rb:181:in block in generate'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rdoc.rb:415:in parse_files'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rdoc.rb:415:in map'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rdoc.rb:417:in block in parse_files'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rdoc.rb:360:in parse_file'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/parser.rb:221:in for'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/parser.rb:221:in new'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/parser/ruby.rb:164:in initialize'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/ruby_lex.rb:13:in <top (required)>'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/core_ext/kernel_require.rb:45:in require'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/core_ext/kernel_require.rb:45:in require'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/irb/slex.rb:13:in <top (required)>'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/core_ext/kernel_require.rb:45:in require'

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/core_ext/kernel_require.rb:45:in `require'

-- C level backtrace information -------------------------------------------

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1df100) [0xff22100] vm_dump.c:64903

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x78dfc) [0xfdbbdfc] error.c:118811

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_bug+0xbc) [0xfdbcf4c] error.c:195374

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x156d78) [0xfe99d78] signal.c:10121

[0x100370] parse.y:2137355

[0xbfa3726c]

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c7da0) [0xff0ada0] vm_method.c:398518

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_check_funcall+0x150) [0xff16060] vm_eval.c:1579679

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x7f63c) [0xfdc263c] eval.c:45678

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_exc_raise+0x28) [0xfdc4578] eval.c:211474

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x7c3e8) [0xfdbf3e8] error.c:371826

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x93eb8) [0xfdd6eb8] file.c:608333

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x943b4) [0xfdd73b4] file.c:631231

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x8448c) [0xfdc748c] load.c:16683

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_require_safe+0x3dc) [0xfdc960c] load.c:195477

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_f_require+0x38) [0xfdc9968] load.c:210154

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c3314) [0xff06314] vm_insnhelper.c:10010

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c75fc) [0xff0a5fc] vm_insnhelper.c:360862

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1cd53c) [0xff1053c] insns.def:1015545

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d13d4) [0xff143d4] vm.c:1407895

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_iseq_eval+0x168) [0xff1bcd8] vm.c:2098306

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x844b8) [0xfdc74b8] load.c:17197

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_require_safe+0x3dc) [0xfdc960c] load.c:195477

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_f_require+0x38) [0xfdc9968] load.c:210154

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c3314) [0xff06314] vm_insnhelper.c:10010

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c75fc) [0xff0a5fc] vm_insnhelper.c:360862
/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d6580) [0xff19580] vm_insnhelper.c:1884152

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1cd53c) [0xff1053c] insns.def:1015545

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d13d4) [0xff143d4] vm.c:1407895

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_iseq_eval+0x168) [0xff1bcd8] vm.c:2098306

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x844b8) [0xfdc74b8] load.c:17197

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_require_safe+0x3dc) [0xfdc960c] load.c:195477

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1a4d20) [0xfee7d20] variable.c:53468

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_protect+0xd0) [0xfdc4d10] eval.c:252434

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_autoload_load+0x148) [0xfeeb6f8] variable.c:350965

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1a893c) [0xfeeb93c] variable.c:364081

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1cb588) [0xff0e588] vm_insnhelper.c:732098

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d13d4) [0xff143d4] vm.c:1407895

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d2a1c) [0xff15a1c] vm_eval.c:1548202

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_funcall2+0xcc) [0xff173ec] vm_eval.c:1690417

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_obj_call_init+0x74) [0xfdc6cb4] eval.c:441761

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_class_new_instance+0x4c) [0xfe24f6c] object.c:255187

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c32ac) [0xff062ac] vm_insnhelper.c:7438

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c75fc) [0xff0a5fc] vm_insnhelper.c:360862

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d6580) [0xff19580] vm_insnhelper.c:1884152

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1cd53c) [0xff1053c] insns.def:1015545

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d13d4) [0xff143d4] vm.c:1407895

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_yield+0x1a8) [0xff1b8f8] vm.c:2072456

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x400b4) [0xfd830b4] array.c:697838

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c32e0) [0xff062e0] vm_insnhelper.c:8724

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c75fc) [0xff0a5fc] vm_insnhelper.c:360862

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d6580) [0xff19580] vm_insnhelper.c:1884152

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1cd480) [0xff10480] insns.def:1010154

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d13d4) [0xff143d4] vm.c:1407895

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_yield+0x1a8) [0xff1b8f8] vm.c:2072456

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x69720) [0xfdac720] dir.c:175118

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_ensure+0xd4) [0xfdc4e84] eval.c:263213

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x6b890) [0xfdae890] dir.c:344674

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c32ac) [0xff062ac] vm_insnhelper.c:7438

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c75fc) [0xff0a5fc] vm_insnhelper.c:360862

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d6580) [0xff19580] vm_insnhelper.c:1884152

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1cd480) [0xff10480] insns.def:1010154

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d13d4) [0xff143d4] vm.c:1407895

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_yield+0x1a8) [0xff1b8f8] vm.c:2072456

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_ary_each+0x78) [0xfd7aed8] array.c:16014

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c32e0) [0xff062e0] vm_insnhelper.c:8724

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c75fc) [0xff0a5fc] vm_insnhelper.c:360862

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d6580) [0xff19580] vm_insnhelper.c:1884152

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1cd480) [0xff10480] insns.def:1010154

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d13d4) [0xff143d4] vm.c:1407895

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d2a1c) [0xff15a1c] vm_eval.c:1548202

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d2d14) [0xff15d14] vm_eval.c:1559601

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_method_call+0x180) [0xfdcb1a0] proc.c:107276

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x88a2c) [0xfdcba2c] proc.c:147668

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1ca1cc) [0xff0d1cc] vm_insnhelper.c:607210

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d2490) [0xff15490] vm.c:1512376

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x89754) [0xfdcc754] proc.c:223298

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c32ac) [0xff062ac] vm_insnhelper.c:7438

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c75fc) [0xff0a5fc] vm_insnhelper.c:360862

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d6580) [0xff19580] vm_insnhelper.c:1884152

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1cd53c) [0xff1053c] insns.def:1015545

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d13d4) [0xff143d4] vm.c:1407895

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_yield+0x1a8) [0xff1b8f8] vm.c:2072456

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_ary_each+0x78) [0xfd7aed8] array.c:16014

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c32e0) [0xff062e0] vm_insnhelper.c:8724

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c75fc) [0xff0a5fc] vm_insnhelper.c:360862

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d6580) [0xff19580] vm_insnhelper.c:1884152

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1cd480) [0xff10480] insns.def:1010154

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d13d4) [0xff143d4] vm.c:1407895

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_yield+0x1a8) [0xff1b8f8] vm.c:2072456

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_ary_each+0x78) [0xfd7aed8] array.c:16014

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c32e0) [0xff062e0] vm_insnhelper.c:8724

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1c75fc) [0xff0a5fc] vm_insnhelper.c:360862
/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d6580) [0xff19580] vm_insnhelper.c:1884152

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1cd480) [0xff10480] insns.def:1010154

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x1d13d4) [0xff143d4] vm.c:1407895

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(rb_iseq_eval_main+0x160) [0xff1be70] vm.c:2112911

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(+0x7f8a4) [0xfdc28a4] eval.c:56826

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(ruby_exec_node+0x38) [0xfdc4408] eval.c:201787

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0(ruby_run_node+0x40) [0xfdc6760] eval.c:413244

ruby() [0x1000064c]

/lib/powerpc-linux-gnu/libc.so.6(+0x22840) [0xfbd9840]

/lib/powerpc-linux-gnu/libc.so.6(+0x22a14) [0xfbd9a14]

-- Other runtime information -----------------------------------------------

Loaded script: /usr/local/rvm/rubies/ruby-2.0.0-p0/bin/gem

Loaded features:

0 enumerator.so

1 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/encdb.so

2 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/trans/transdb.so

3 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/rbconfig.rb

4 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/compatibility.rb

5 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/defaults.rb

6 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/deprecate.rb

7 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/errors.rb

8 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/version.rb

9 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/requirement.rb

10 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/platform.rb

11 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/specification.rb

12 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/exceptions.rb

13 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/core_ext/kernel_gem.rb

14 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/core_ext/kernel_require.rb

15 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems.rb

16 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/optparse.rb

17 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/user_interaction.rb

18 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/command.rb

19 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/command_manager.rb

20 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/etc.so

21 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/config_file.rb

22 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/path_support.rb

23 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/dependency.rb

24 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/fileutils.rb

25 /usr/local/rvm/gems/ruby-2.0.0-p0@global/gems/rubygems-bundler-1.1.1/lib/rubygems-bundler/wrapper.rb

26 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/digest.so

27 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/digest.rb

28 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/openssl.so

29 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/openssl/bn.rb

30 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/openssl/cipher.rb

31 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/stringio.so

32 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/openssl/config.rb

33 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/openssl/digest.rb

34 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/openssl/x509.rb

35 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/openssl/buffering.rb

36 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/fcntl.so

37 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/openssl/ssl.rb

38 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/openssl.rb

39 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/security/policy.rb

40 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/security/policies.rb

41 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/security/signer.rb

42 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/security/trust_dir.rb

43 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/security.rb

44 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/zlib.so

45 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/package/digest_io.rb

46 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/package/old.rb

47 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/package/tar_header.rb

48 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/package/tar_reader/entry.rb

49 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/package/tar_reader.rb
50 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/package/tar_writer.rb

51 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/package.rb

52 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/ext/builder.rb

53 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/ext/configure_builder.rb

54 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/delegate.rb

55 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/tmpdir.rb

56 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/thread.rb

57 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/tempfile.rb

58 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/ext/ext_conf_builder.rb

59 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/ext/rake_builder.rb

60 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/ext/cmake_builder.rb

61 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/ext.rb

62 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/installer.rb

63

/usr/local/rvm/gems/ruby-2.0.0-p0@global/gems/rubygems-bundler-1.1.1/lib/rubygems-bundler/regenerate_binstubs_command.

rb

64 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/timeout.rb

65 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/gem_runner.rb

66 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/syntax_error.rb

67 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/psych.so

68 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/nodes/node.rb

69 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/nodes/stream.rb

70 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/nodes/document.rb

71 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/nodes/sequence.rb

72 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/nodes/scalar.rb

73 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/nodes/mapping.rb

74 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/nodes/alias.rb

75 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/nodes.rb

76 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/streaming.rb

77 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/visitors/visitor.rb

78 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/strscan.so

79 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/scalar_scanner.rb

80 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/visitors/to_ruby.rb

81 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/visitors/emitter.rb

82 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/visitors/yaml_tree.rb

83 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/json/ruby_events.rb

84 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/visitors/json_tree.rb

85 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/visitors/depth_first.rb

86 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/visitors.rb

87 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/handler.rb

88 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/tree_builder.rb

89 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/parser.rb

90 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/omap.rb

91 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/set.rb

92 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/coder.rb

93 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/core_ext.rb

94 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/date_core.so

95 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/date/format.rb

96 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/date.rb

97 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/deprecated.rb

98 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/stream.rb

99 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/json/yaml_events.rb

100 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/json/tree_builder.rb

101 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/json/stream.rb

102 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych/handlers/document_stream.rb

103 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/psych.rb

104 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/psych_additions.rb

105 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/psych_tree.rb

106 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/yaml.rb

107 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/syck_hack.rb

108 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/install_update_options.rb

109 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/tsort.rb

110 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/dependency_list.rb

111 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/uri/common.rb

112 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/uri/generic.rb

113 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/uri/ftp.rb

114 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/uri/http.rb
115 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/uri/https.rb

116 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/uri/ldap.rb

117 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/uri/ldaps.rb

118 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/uri/mailto.rb

119 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/uri.rb

120 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/socket.so

121 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/socket.rb

122 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/securerandom.rb

123 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/resolv.rb

124 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/remote_fetcher.rb

125 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/text.rb

126 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/name_tuple.rb

127 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/spec_fetcher.rb

128 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/source.rb

129 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/source_local.rb

130 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/source_specific_file.rb

131 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/available_set.rb

132 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/dependency_installer.rb

133 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/local_remote_options.rb

134 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/validator.rb

135 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/version_option.rb

136 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/install_message.rb

137 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/net/protocol.rb

138 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/net/http/exceptions.rb

139 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/net/http/header.rb

140 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/net/http/generic_request.rb

141 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/net/http/request.rb

142 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/net/http/requests.rb

143 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/net/http/response.rb

144 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/net/http/responses.rb

145 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/net/http/proxy_delta.rb

146 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/net/http/backward.rb

147 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/net/http.rb

148 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/dependency_resolver.rb

149 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/request_set.rb

150 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc.rb

151 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rubygems_hook.rb

152 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/rdoc.rb

153 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/commands/install_command.rb

154 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/time.rb

155 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/site_ruby/2.0.0/rubygems/source_list.rb

156 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/net/https.rb

157 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_16le.so

158 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_16be.so

159 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/find.rb

160 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/pathname.so

161 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/pathname.rb

162 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/cgi/util.rb

163 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/erb.rb

164 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/generator.rb

165 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/json/version.rb

166 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/ostruct.rb

167 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/json/generic_object.rb

168 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/json/common.rb

169 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_32be.so

170 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_32le.so

171 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/json/ext/parser.so

172 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/json/ext/generator.so

173 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/json/ext.rb

174 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/json.rb

175 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/markup.rb

176 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/markup/formatter.rb

177 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/markup/to_joined_paragraph.rb

178 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/markdown/entities.rb

179 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/markdown/literals_1_9.rb

180 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/markdown.rb

181 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rd.rb
182 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/markup/parser.rb

183 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/markup/pre_process.rb

184 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/tom_doc.rb

185 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/text.rb

186 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/code_object.rb

187 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/method_attr.rb

188 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/cgi/core.rb

189 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/cgi/cookie.rb

190 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/cgi.rb

191 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/context.rb

192 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/class_module.rb

193 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/context/section.rb

194 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/top_level.rb

195 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/generator/markup.rb

196 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/generator/darkfish.rb

197 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/generator/ri.rb

198 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/rdoc.rb

199 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/options.rb

200 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/parser/text.rb

201 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/parser/simple.rb

202 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/parser/c.rb

203 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/parser/changelog.rb

204 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/parser/markdown.rb

205 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/parser/rd.rb

206 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/ruby_token.rb

207 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/token_stream.rb

208 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/parser/ruby_tools.rb

209 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/parser/ruby.rb

210 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/parser.rb

211 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/store.rb

212 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/stats.rb

213 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/stats/quiet.rb

214 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/encoding.rb

215 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/rdoc/comment.rb

216 /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/e2mmap.rb

Process memory map:

00100000-00103000 r-xp 00000000 00:00 0          [vdso]

0f350000-0f35a000 r-xp 00000000 08:03 923596    

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/json/ext/generator.so

0f35a000-0f369000 ---p 0000a000 08:03 923596    

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/json/ext/generator.so

0f369000-0f36a000 r--p 00009000 08:03 923596    

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/json/ext/generator.so

0f36a000-0f36b000 rw-p 0000a000 08:03 923596    

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/json/ext/generator.so

0f37b000-0f37c000 r-xp 00000000 08:03 662316     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_32le.so

0f37c000-0f38b000 ---p 00001000 08:03 662316     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_32le.so

0f38b000-0f38c000 r--p 00000000 08:03 662316     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_32le.so

0f38c000-0f38d000 rw-p 00001000 08:03 662316     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_32le.so

0f39d000-0f39e000 r-xp 00000000 08:03 662345     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_32be.so

0f39e000-0f3ad000 ---p 00001000 08:03 662345     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_32be.so

0f3ad000-0f3ae000 r--p 00000000 08:03 662345     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_32be.so

0f3ae000-0f3af000 rw-p 00001000 08:03 662345     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_32be.so

0f3bf000-0f3c5000 r-xp 00000000 08:03 923595     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/json/ext/parser.so

0f3c5000-0f3d4000 ---p 00006000 08:03 923595     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/json/ext/parser.so

0f3d4000-0f3d5000 r--p 00005000 08:03 923595     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/json/ext/parser.so

0f3d5000-0f3d6000 rw-p 00006000 08:03 923595    

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/json/ext/parser.so

0f3e6000-0f3ed000 r-xp 00000000 08:03 401416     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/pathname.so

0f3ed000-0f3fd000 ---p 00007000 08:03 401416     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/pathname.so

0f3fd000-0f3fe000 r--p 00007000 08:03 401416     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/pathname.so

0f3fe000-0f3ff000 rw-p 00008000 08:03 401416     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/pathname.so

0f40f000-0f410000 r-xp 00000000 08:03 662327     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_16be.so

0f410000-0f41f000 ---p 00001000 08:03 662327     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_16be.so
0f41f000-0f420000 r--p 00000000 08:03 662327     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_16be.so

0f420000-0f421000 rw-p 00001000 08:03 662327     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_16be.so

0f431000-0f432000 r-xp 00000000 08:03 662325     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_16le.so

0f432000-0f441000 ---p 00001000 08:03 662325     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_16le.so

0f441000-0f442000 r--p 00000000 08:03 662325     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_16le.so

0f442000-0f443000 rw-p 00001000 08:03 662325     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/utf_16le.so

0f453000-0f466000 r-xp 00000000 08:03 2363188    /lib/powerpc-linux-gnu/libresolv-2.15.so

0f466000-0f475000 ---p 00013000 08:03 2363188    /lib/powerpc-linux-gnu/libresolv-2.15.so

0f475000-0f476000 r--p 00012000 08:03 2363188    /lib/powerpc-linux-gnu/libresolv-2.15.so

0f476000-0f477000 rw-p 00013000 08:03 2363188    /lib/powerpc-linux-gnu/libresolv-2.15.so

0f477000-0f479000 rw-p 00000000 00:00 0

0f489000-0f48d000 r-xp 00000000 08:03 2363181    /lib/powerpc-linux-gnu/libnss_dns-2.15.so

0f48d000-0f49c000 ---p 00004000 08:03 2363181    /lib/powerpc-linux-gnu/libnss_dns-2.15.so

0f49c000-0f49d000 r--p 00003000 08:03 2363181    /lib/powerpc-linux-gnu/libnss_dns-2.15.so

0f49d000-0f49e000 rw-p 00004000 08:03 2363181    /lib/powerpc-linux-gnu/libnss_dns-2.15.so

0f4ae000-0f4b0000 r-xp 00000000 08:03 2359628    /lib/libnss_mdns4_minimal.so.2

0f4b0000-0f4bf000 ---p 00002000 08:03 2359628    /lib/libnss_mdns4_minimal.so.2

0f4bf000-0f4c0000 r--p 00001000 08:03 2359628    /lib/libnss_mdns4_minimal.so.2

0f4c0000-0f4c1000 rw-p 00002000 08:03 2359628    /lib/libnss_mdns4_minimal.so.2

0f4d1000-0f4dd000 r-xp 00000000 08:03 2363182    /lib/powerpc-linux-gnu/libnss_files-2.15.so

0f4dd000-0f4ec000 ---p 0000c000 08:03 2363182    /lib/powerpc-linux-gnu/libnss_files-2.15.so

0f4ec000-0f4ed000 r--p 0000b000 08:03 2363182    /lib/powerpc-linux-gnu/libnss_files-2.15.so

0f4ed000-0f4ee000 rw-p 0000c000 08:03 2363182    /lib/powerpc-linux-gnu/libnss_files-2.15.so

0f4fe000-0f525000 r-xp 00000000 08:03 401421     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/socket.so

0f525000-0f534000 ---p 00027000 08:03 401421     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/socket.so

0f534000-0f536000 r--p 00026000 08:03 401421     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/socket.so

0f536000-0f537000 rw-p 00028000 08:03 401421     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/socket.so

0f547000-0f57a000 r-xp 00000000 08:03 401420     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/date_core.so

0f57a000-0f58a000 ---p 00033000 08:03 401420     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/date_core.so

0f58a000-0f58b000 r--p 00033000 08:03 401420     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/date_core.so

0f58b000-0f58c000 rw-p 00034000 08:03 401420     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/date_core.so

0f59c000-0f5a1000 r-xp 00000000 08:03 401402     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/strscan.so

0f5a1000-0f5b1000 ---p 00005000 08:03 401402     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/strscan.so

0f5b1000-0f5b2000 r--p 00005000 08:03 401402     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/strscan.so

0f5b2000-0f5b3000 rw-p 00006000 08:03 401402     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/strscan.so

0f5c3000-0f5e0000 r-xp 00000000 08:03 147896     /usr/lib/powerpc-linux-gnu/libyaml-0.so.2.0.2

0f5e0000-0f5ef000 ---p 0001d000 08:03 147896     /usr/lib/powerpc-linux-gnu/libyaml-0.so.2.0.2

0f5ef000-0f5f0000 r--p 0001c000 08:03 147896     /usr/lib/powerpc-linux-gnu/libyaml-0.so.2.0.2

0f5f0000-0f5f1000 rw-p 0001d000 08:03 147896     /usr/lib/powerpc-linux-gnu/libyaml-0.so.2.0.2

0f601000-0f607000 r-xp 00000000 08:03 401424     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/psych.so

0f607000-0f616000 ---p 00006000 08:03 401424     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/psych.so

0f616000-0f617000 r--p 00005000 08:03 401424     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/psych.so

0f617000-0f618000 rw-p 00006000 08:03 401424     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/psych.so

0f628000-0f638000 r-xp 00000000 08:03 401405     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/zlib.so

0f638000-0f647000 ---p 00010000 08:03 401405     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/zlib.so

0f647000-0f648000 r--p 0000f000 08:03 401405     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/zlib.so

0f648000-0f649000 rw-p 00010000 08:03 401405     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/zlib.so

0f659000-0f65a000 r-xp 00000000 08:03 401418     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/fcntl.so

0f65a000-0f669000 ---p 00001000 08:03 401418     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/fcntl.so

0f669000-0f66a000 r--p 00000000 08:03 401418     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/fcntl.so

0f66a000-0f66b000 rw-p 00001000 08:03 401418     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/fcntl.so

0f67b000-0f682000 r-xp 00000000 08:03 401399     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/stringio.so

0f682000-0f692000 ---p 00007000 08:03 401399     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/stringio.so

0f692000-0f693000 r--p 00007000 08:03 401399     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/stringio.so

0f693000-0f694000 rw-p 00008000 08:03 401399     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/stringio.so

0f6a4000-0f6a8000 r-xp 00000000 08:03 401419     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/digest.so

0f6a8000-0f6b7000 ---p 00004000 08:03 401419     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/digest.so

0f6b7000-0f6b8000 r--p 00003000 08:03 401419     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/digest.so

0f6b8000-0f6b9000 rw-p 00004000 08:03 401419     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/digest.so

0f6c9000-0f6e1000 r-xp 00000000 08:03 2359309    /lib/powerpc-linux-gnu/libz.so.1.2.7

0f6e1000-0f6f0000 ---p 00018000 08:03 2359309    /lib/powerpc-linux-gnu/libz.so.1.2.7

0f6f0000-0f6f1000 r--p 00017000 08:03 2359309    /lib/powerpc-linux-gnu/libz.so.1.2.7

0f6f1000-0f6f2000 rw-p 00018000 08:03 2359309    /lib/powerpc-linux-gnu/libz.so.1.2.7

0f702000-0f895000 r-xp 00000000 08:03 2359416    /lib/powerpc-linux-gnu/libcrypto.so.1.0.0

0f895000-0f8a4000 ---p 00193000 08:03 2359416    /lib/powerpc-linux-gnu/libcrypto.so.1.0.0

0f8a4000-0f8b4000 r--p 00192000 08:03 2359416    /lib/powerpc-linux-gnu/libcrypto.so.1.0.0

0f8b4000-0f8ba000 rw-p 001a2000 08:03 2359416    /lib/powerpc-linux-gnu/libcrypto.so.1.0.0
0f8ba000-0f8be000 rw-p 00000000 00:00 0

0f8ce000-0f91e000 r-xp 00000000 08:03 2359418    /lib/powerpc-linux-gnu/libssl.so.1.0.0

0f91e000-0f920000 r--p 00050000 08:03 2359418    /lib/powerpc-linux-gnu/libssl.so.1.0.0

0f920000-0f924000 rw-p 00052000 08:03 2359418    /lib/powerpc-linux-gnu/libssl.so.1.0.0

0f934000-0f988000 r-xp 00000000 08:03 401401     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/openssl.so

0f988000-0f998000 ---p 00054000 08:03 401401     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/openssl.so

0f998000-0f99b000 r--p 00054000 08:03 401401     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/openssl.so

0f99b000-0f99c000 rw-p 00057000 08:03 401401     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/openssl.so

0f99c000-0f99d000 rw-p 00000000 00:00 0

0f9ad000-0f9b0000 r-xp 00000000 08:03 401404     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/etc.so

0f9b0000-0f9bf000 ---p 00003000 08:03 401404     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/etc.so

0f9bf000-0f9c0000 r--p 00002000 08:03 401404     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/etc.so

0f9c0000-0f9c1000 rw-p 00003000 08:03 401404     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/etc.so

0f9d1000-0f9d4000 r-xp 00000000 08:03 790775    

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/trans/transdb.so

0f9d4000-0f9e3000 ---p 00003000 08:03 790775    

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/trans/transdb.so

0f9e3000-0f9e4000 r--p 00002000 08:03 790775    

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/trans/transdb.so

0f9e4000-0f9e5000 rw-p 00003000 08:03 790775    

/usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/trans/transdb.so

0f9f5000-0f9f7000 r-xp 00000000 08:03 662342     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/encdb.so

0f9f7000-0fa07000 ---p 00002000 08:03 662342     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/encdb.so

0fa07000-0fa08000 r--p 00002000 08:03 662342     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/encdb.so

0fa08000-0fa09000 rw-p 00003000 08:03 662342     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/ruby/2.0.0/powerpc-linux/enc/encdb.so

0fa19000-0fabc000 r-xp 00000000 08:03 2359487    /lib/powerpc-linux-gnu/libm-2.15.so

0fabc000-0facc000 ---p 000a3000 08:03 2359487    /lib/powerpc-linux-gnu/libm-2.15.so

0facc000-0facf000 r--p 000a3000 08:03 2359487    /lib/powerpc-linux-gnu/libm-2.15.so

0facf000-0fad0000 rw-p 000a6000 08:03 2359487    /lib/powerpc-linux-gnu/libm-2.15.so

0fae0000-0fae8000 r-xp 00000000 08:03 2359484    /lib/powerpc-linux-gnu/libcrypt-2.15.so

0fae8000-0faf7000 ---p 00008000 08:03 2359484    /lib/powerpc-linux-gnu/libcrypt-2.15.so

0faf7000-0faf8000 r--p 00007000 08:03 2359484    /lib/powerpc-linux-gnu/libcrypt-2.15.so

0faf8000-0faf9000 rw-p 00008000 08:03 2359484    /lib/powerpc-linux-gnu/libcrypt-2.15.so

0faf9000-0fb20000 rw-p 00000000 00:00 0

0fb30000-0fb33000 r-xp 00000000 08:03 2359485    /lib/powerpc-linux-gnu/libdl-2.15.so

0fb33000-0fb42000 ---p 00003000 08:03 2359485    /lib/powerpc-linux-gnu/libdl-2.15.so

0fb42000-0fb43000 r--p 00002000 08:03 2359485    /lib/powerpc-linux-gnu/libdl-2.15.so

0fb43000-0fb44000 rw-p 00003000 08:03 2359485    /lib/powerpc-linux-gnu/libdl-2.15.so

0fb54000-0fb5c000 r-xp 00000000 08:03 2363189    /lib/powerpc-linux-gnu/librt-2.15.so

0fb5c000-0fb6b000 ---p 00008000 08:03 2363189    /lib/powerpc-linux-gnu/librt-2.15.so

0fb6b000-0fb6c000 r--p 00007000 08:03 2363189    /lib/powerpc-linux-gnu/librt-2.15.so

0fb6c000-0fb6d000 rw-p 00008000 08:03 2363189    /lib/powerpc-linux-gnu/librt-2.15.so

0fb7d000-0fb94000 r-xp 00000000 08:03 2363187    /lib/powerpc-linux-gnu/libpthread-2.15.so

0fb94000-0fba3000 ---p 00017000 08:03 2363187    /lib/powerpc-linux-gnu/libpthread-2.15.so

0fba3000-0fba4000 r--p 00016000 08:03 2363187    /lib/powerpc-linux-gnu/libpthread-2.15.so

0fba4000-0fba5000 rw-p 00017000 08:03 2363187    /lib/powerpc-linux-gnu/libpthread-2.15.so

0fba5000-0fba7000 rw-p 00000000 00:00 0

0fbb7000-0fd1c000 r-xp 00000000 08:03 2359459    /lib/powerpc-linux-gnu/libc-2.15.so

0fd1c000-0fd2b000 ---p 00165000 08:03 2359459    /lib/powerpc-linux-gnu/libc-2.15.so

0fd2b000-0fd2f000 r--p 00164000 08:03 2359459    /lib/powerpc-linux-gnu/libc-2.15.so

0fd2f000-0fd30000 rw-p 00168000 08:03 2359459    /lib/powerpc-linux-gnu/libc-2.15.so

0fd30000-0fd33000 rw-p 00000000 00:00 0

0fd43000-0ffc2000 r-xp 00000000 08:03 401134     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0.0

0ffc2000-0ffd2000 ---p 0027f000 08:03 401134     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0.0

0ffd2000-0ffdc000 r--p 0027f000 08:03 401134     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0.0

0ffdc000-0ffde000 rw-p 00289000 08:03 401134     /usr/local/rvm/rubies/ruby-2.0.0-p0/lib/libruby.so.2.0.0

0ffde000-0fff0000 rw-p 00000000 00:00 0

10000000-10001000 r-xp 00000000 08:03 401132     /usr/local/rvm/rubies/ruby-2.0.0-p0/bin/ruby

10010000-10011000 r--p 00000000 08:03 401132     /usr/local/rvm/rubies/ruby-2.0.0-p0/bin/ruby

10011000-10012000 rw-p 00001000 08:03 401132     /usr/local/rvm/rubies/ruby-2.0.0-p0/bin/ruby

1054e000-127e5000 rwxp 00000000 00:00 0          [heap]

48000000-48020000 r-xp 00000000 08:03 2359299    /lib/powerpc-linux-gnu/ld-2.15.so

48020000-48021000 r--p 00020000 08:03 2359299    /lib/powerpc-linux-gnu/ld-2.15.so

48021000-48022000 rw-p 00021000 08:03 2359299    /lib/powerpc-linux-gnu/ld-2.15.so

48022000-48025000 rw-p 00000000 00:00 0

4802a000-4802c000 rw-p 00000000 00:00 0

4802c000-4822c000 r--p 00000000 08:03 136805     /usr/lib/locale/locale-archive
4822c000-482ad000 rw-p 00000000 00:00 0

482ad000-482ae000 ---p 00000000 00:00 0

482ae000-482cd000 rw-p 00000000 00:00 0          [stack:14493]

482cd000-482d4000 r--s 00000000 08:03 143139     /usr/lib/powerpc-linux-gnu/gconv/gconv-modules.cache

48534000-4856a000 rw-p 00000000 00:00 0

bfa1d000-bfa3e000 rw-p 00000000 00:00 0

[NOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.

Bug reports are welcome.

For details: http://www.ruby-lang.org/bugreport.html

History

#1 - 04/11/2013 01:51 PM - zzak (zzak _)

Thanks James, could you try this with trunk?

#2 - 04/25/2013 12:49 PM - naruse (Yui NARUSE)

- Status changed from Open to Feedback

patch is welcome

#3 - 01/30/2014 06:16 AM - hsbt (Hiroshi SHIBATA)

- Target version changed from 2.1.0 to 2.2.0

#4 - 01/30/2014 07:15 AM - jamesotron (James Harton)

Sorry, just saw this now. I'll try trunk tomorrow when I get to the office. I can provide a remote shell should it be needed, or can do peer debugging.

#5 - 01/05/2018 09:00 PM - naruse (Yui NARUSE)

- Target version deleted (2.2.0)

#6 - 07/15/2019 10:50 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Feedback to Closed
